HUGO-MOD-GRAPH(1)

NAME

hugo-mod-graph - Print a module dependency graph.

SYNOPSIS

hugo mod graph [flags] [args]

DESCRIPTION

Print a module dependency graph with information about module status (disabled, vendored). Note that for vendored modules, that is the version listed and not the one from go.mod.

OPTIONS

-b, --baseURL=""
    hostname (and path) to the root, e.g. https://spf13.com/

--cacheDir=""
    filesystem path to cache directory

--clean[=false]
    delete module cache for dependencies that fail verification

-c, --contentDir=""
    filesystem path to content directory

-h, --help[=false]
    help for graph

--renderSegments=[]
    named segments to render (configured in the segments config)

-t, --theme=[]
    themes to use (located in /themes/THEMENAME/)

OPTIONS INHERITED FROM PARENT COMMANDS

--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--quiet[=false]
    build in quiet mode

-M, --renderToMemory[=false]
    render to memory (mostly useful when running the server)

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

SEE ALSO

hugo-mod(1)